<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>detail_B</title>
</head>

<body>
    {% extends "base_generic.html" %} {% block content %}
    <!--распростроняем шаблон "base_generic.html" на данную страницу -->
    <h1>Название произведения: {{ bk_dtl.title }}</h1>
    <!--берём Название из подготовленной во view.py временной переменной-->
    <hr>
    <p><strong>Жанр:</strong> {% for genre in bk_dtl.genre.all %} {{ genre }}{% if not forloop.last %}, {% endif %}{% endfor %}</p>
    <p><strong>ISBN:</strong> {{ bk_dtl.isbn }}</p>
    <p><strong>Summary:</strong> {{ bk_dtl.summary }}</p>
    <div class="btn-group">
        <button type="button" class="btn btn-sm btn-outline-secondary">Редактировать</button>
    </div>
    <hr>
    <p><strong>Автор:</strong> <a href="{{ bk_dtl.author.get_absolute_url }}">{{ bk_dtl.author }}</a></p>
    <!-- Ссылка на author_detail возможна только указав bk_dtl в качестве ..., потому что..... -->
    <p><strong>Уроженец:</strong> {{ bk_dtl.language }}</p>



    <hr>
    <div style="margin-left:20px;margin-top:20px">
        <h4>Наличие</h4>

        {% for copy in book.bookinstance_set.all %}

        <p class="{% if copy.status == 'a' %}text-success{% elif copy.status == 'd' %}text-danger{% else %}text-warning{% endif %}">{{ copy.get_status_display }}</p>
        {% if copy.status != 'a' %}
        <p><strong>Появится:</strong> {{copy.due_back}}</p>{% endif %}
        <p><strong>Imprint:</strong> {{copy.imprint}}</p>
        <p class="text-muted"><strong>Id:</strong> {{copy.id}}</p>
        {% endfor %}
    </div>
    {% endblock %}
</body>

</html>